/* keyframes */
@keyframes settle {
  0% {
    opacity: 0;
    transform: translateY(-5px);
  }

  50% {
    opacity: 1;
  }

  100% {
    opacity: 1;
    transform: translateY(0px);
  }
}

@keyframes fade-in {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@-ms-keyframes spin {
  from {
    -ms-transform: rotate(0deg);
  }

  to {
    -ms-transform: rotate(360deg);
  }
}

@-moz-keyframes spin {
  from {
    -moz-transform: rotate(0deg);
  }

  to {
    -moz-transform: rotate(360deg);
  }
}

@-webkit-keyframes spin {
  from {
    -webkit-transform: rotate(0deg);
  }

  to {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

/* Section: Action Bar */
.action-bar-section {
  max-height: 0px;
  overflow: hidden;
  transition: 0.3s ease-in-out;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
}

.action-bar-section.visible {
  max-height: 5vh;
  min-height: 3vh;
}

/* Section: Main (Content) */
.main-section {
  height: 92vh;
}

.main-section-content {
  width: 94vw;
  height: 100%;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -o-user-select: none;
  user-select: none;
}

.right-click-file-menu {
  position: absolute;
  /* width: 200px;
  height: 100px; */
  z-index: 999;
  background-color: rgb(255, 255, 255);
  /* border: 1px solid rgb(183, 183, 183); */
  border-radius: 3px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  box-shadow: 0px 0px 5px 1px #d6d6d6;
}

.right-click-file-menu.hidden {
  display: none;
}

.context-menu-items-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  height: 100%;
  width: 100%;
}

.context-menu-item-wrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  height: 100%;
  width: 100%;
  padding: 5px 25px 5px 0px;
  box-sizing: border-box;
  cursor: pointer;
}

.context-menu-item-wrapper:hover {
  background-color: rgb(244, 244, 244);
}

.context-menu-item-wrapper.disabled {
  /* background-color: rgb(244, 244, 244); */
  opacity: 0.5;
  pointer-events: none;
}

.context-menu-item {
  width: 100%;
  min-height: 20px;
  display: flex;
  align-items: center;
  padding: 10px 25px;
  box-sizing: border-box;
}

.context-menu-item-icon {
  height: 30px;
}

#info-badge {
  height: 15px;
  padding: 5px 0;
  width: 100%;
  text-align: center;
  color: white;
  opacity: 60%;
  position: sticky;
}

.documents-container {
  width: 90%;
}

.fs-top-zone {
  padding-bottom: 20px;
}

.fs-middle-zone {
  padding-bottom: 20px;
}

.fs-top-zone, .fs-middle-zone {
  opacity: 0;
  animation: settle 0.5s ease-in-out forwards;
}

.fs-title {
  font-size: calc(15px + 1vw);
  color: #589ed5;
  font-weight: 500;
}

.nav-path-container {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  gap: 5px;
}

.nav-path-section {
  cursor: pointer;
  padding: 3px;
  margin: 2px;
}

.nav-path-section:hover {
  text-decoration: solid underline #589ed5 2px;
}

.nav-path-section.dragenter {
  background-color: #c3e5ff;
  border-radius: 5px;
  border: 2px dashed #589ed5;
  margin: 0px;
}

#fs-btn-container {
  display: flex;
  justify-content: space-between;
}

.fs-btn {
  font-size: 14px;
  font-weight: 900;
  letter-spacing: 3px;
  padding: 6px 8px;
  border: 2px solid #7ab2b7;
  border-radius: 5px;
  color: #7ab2b7;
  opacity: 40%;
  margin-right: 5px;
}

.fs-btn.active {
  cursor: pointer;
  opacity: 100%;
}

.fs-btn.dragenter {
  background-color: #cafbff;
  border-radius: 5px;
  border-style: dashed;
  margin: 0px;
}

.fs-nav-zone {
  display: flex;
  gap: 10px;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
}

.fs-content-container {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  flex-wrap: wrap;
}

#no-docs-msg {
  color: #696969;
  margin-left: 1vw;
}

.document-entry {
  cursor: pointer;
  padding: 12px;
  margin-right: 2vw;
  margin-bottom: 2vw;
  border: 2px solid transparent;
  border-radius: 4px;
  animation: settle 0.5s ease-in-out forwards;

  display: flex;
  justify-content: center;
  align-items: center;
}

.folder-entry {
  color: white;
  background-color: #589ed5;

  &:hover {
    border-color: #64bcff;
  }

  &.selected {
    border-color: #5e5e5e;
  }
}

.folder-entry.dragenter {
  border: 2px dashed #64bcff;
}

.file-entry {
  color: #696969;
  border-color: #adadad;
  background-color: transparent;

  &:hover {
    border-color: #7ab2b7;
  }

  &.selected {
    border-color: #5e5e5e;
  }
}

.document-icon {
  width: 20px;
  height: 20px;
  margin-right: 15px;
}

input.filename-input, select.file-input, textarea.file-input {
  border: none;
  outline: none;
  background-color: transparent;
  text-align: center;
  font-size: inherit;
  font-weight: inherit;
}

.file-entry input.filename-input, .file-entry select.file-input, .file-entry textarea.file-input {
  color: #696969;
}

.folder-entry input.filename-input, .folder-entry select.file-input, .folder-entry textarea.file-input {
  color: #ffffff;
}

/* .doc-multiselect-btn {
  transform: translateX(-4.95vw) translateY(-20px);
} */

/* Action bar */
.main-section-action-bar {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  height: 100%;
  width: 6vw;
  background-color: #7ab2b7;
  color: white;
  z-index: 1;
  overflow: hidden;
}

.action-bar-item-container {
  width: 60%;
  margin: 2vh 0;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0.4;
}

.action-bar-item-container.active {
  opacity: 1;
  cursor: pointer;
}

#upload-new-doc-button {
  width: 50%;
}

#remove-doc,
#open-doc {
  width: 40%;
}

#left_col {
  display: block;
  position: absolute;
  width: 30vw;
  min-width: 15rem;
}

#document-upload-container {
  min-width: 70vw;
  width: 70vw;
  height: 75vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 3vw;
  justify-content: space-between;
}

#title_heading {
  font-size: 8rem;
  font-weight: 500;
}

#selection_button {
  font-size: medium;
  margin-bottom: 0.2rem;
  font-weight: 300;
}

#select_documents_container {
  width: inherit;
  min-width: inherit;
  margin-bottom: 2rem;
}

#documents_dropdown {
  width: inherit;
  min-width: inherit;
  margin-bottom: 0.5rem;
  padding: 0.5rem;
  font-size: smaller;
  border-color: #10008b;
}

.faded {
  font-weight: 300;
  color: #9e9e9e;
}

#open_documents,
#delete_documents {
  width: inherit;
  min-width: inherit;
  font-size: medium;
  font-weight: 300;
  border-width: thin;
  border-radius: 0.5em;
  margin-bottom: 0.3rem;
  border-color: #10008b;
}

#open_documents {
  height: 3rem;
}

#delete_documents {
  height: 2rem;
}

#initial_upload_area:hover,
.over {
  cursor: pointer;
  background-color: #dffcff;
  transition: 0.1s;
}

.action_button {
  outline: none;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  align-content: center;
  transition: 0.1s ease-in-out;
  cursor: pointer;
}

.action_button:hover {
  background-color: #7bb1b7;
  color: white;
}

#initial_upload_container {
  width: 100%;
  height: 35%;
  box-shadow: 0px 0px 10px 3px #cecece;
  overflow: hidden;
  border-radius: 4px;
  border: 1px dashed grey;
}

#initial_upload_area {
  height: 100%;
  width: 100%;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

#initial_upload_message {
  color: #7bb1b7;
}

#uploading_container {
  width: 100%;
  height: 60%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  align-content: center;
}

.file_container {
  border: 1px solid #bebcbc;
  height: 100%;
  border-radius: 4px;
  min-width: 200px;
}

#unpaired_container {
  margin-right: 5%;
  width: 65%;
}

#paired_container {
  width: 30%;
  display: flex;
  flex-direction: column;
}


.file-container-title {
  width: 100%;
  height: 10%;
  border-bottom: 1px solid #dfdfdf;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #7bb1b7;
}

#files_container {
  display: flex;
  flex-direction: row;
  width: 100%;
  height: 80%;
}

#mei_container,
#image_container {
  width: 50%;
  display: flex;
  flex-direction: column;
}

#image_container {
  border-left: 1px solid #dfdfdf;
}

.file_heading {
  height: 10%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  border-bottom: 1px solid #dfdfdf;
}

.file_sort_name {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color:rgba(123, 177, 183, 0.1);
  border-bottom: 1px solid #dfdfdf;
  font-size: 80%;
}

.arrow_btn {
  margin-left: 4px;
  cursor: pointer;
  font-weight: bold;
}

.file_list {
  height: 100%;
  width: 99%;
  overflow: scroll;
}

.unpaired_item_container {
  width: 95%;
  min-height: 30px;
  cursor: pointer;
  white-space: nowrap;
  display: flex;
  align-items: center;
}

.unpaired_item_radio {
  cursor: pointer;
}

.unpaired_item_label {
  font-size: 12px;
  cursor: pointer;
  display: flex;
  align-items: center;
}

.unpaired_del_btn {
  width: 7%;
  opacity: 0.4;
  margin-left: auto;
  cursor: pointer;
}

#generate-pair-button-container {
  width: 100%;
  height: 10%;
  display: flex;
  justify-content: center;
  align-content: center;
  align-items: center;
  border-top: 1px solid #dfdfdf;
}

.folio_list {
  height: 80%;
  width: 100%;
  overflow: scroll;
}

.folio_item {
  border: 1px solid #d5d5d5;
  border-radius: 4px;
  height: 30px;
  min-height: 30px;
  margin: 5px;
  padding: 0 5px;
  display: flex;
  align-items: center;
}

.folio-filename {
  width: 100%;
  font-size: 12px;
}

.unpair_btn {
  width: 9%;
  border: none;
  font-weight: 100;
  font-size: large;
  cursor: pointer;
  opacity: 0.4;
}

#upload_button_container {
  float: right;
  height: 10%;
  width: 100%;
  border-top: 1px solid #dfdfdf;
}

#upload_button {
  display: inline-flex;
  width: 100%;
  height: 100%;
}

#uploading_spinner {
  opacity: 0;
  color: gray;
  font-size: x-large;
  font-weight: 100;
  margin-left: 1em;
}

#uploading_spinner.visible {
  opacity: 100;

  -webkit-animation-name: spin;
  -webkit-animation-duration: 1234ms;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-timing-function: linear;
  -moz-animation-name: spin;
  -moz-animation-duration: 1234ms;
  -moz-animation-iteration-count: infinite;
  -moz-animation-timing-function: linear;
  -ms-animation-name: spin;
  -ms-animation-duration: 1234ms;
  -ms-animation-iteration-count: infinite;
  -ms-animation-timing-function: linear;
  animation-name: spin;
  animation-duration: 1234ms;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

/* Move-To Folder Tree */
.move-menu-msg {
  font-size: 12px;
  padding: 10px;
}

.tree-container {
  width: 70vw;
  height: 60vh;
  padding: 20px 50px;
  overflow: scroll;
}
.tree-li-container {
  display: flex;
  line-height: 15px;
  align-items: center;
  gap: 7px;
}

.tree-name {
  border-radius: 3px;
  padding: 5px;
  border: 2px solid transparent;
  cursor: pointer;

  &:hover {
    background-color: #bce2ff
  }

  &.selected {
    border: 2px solid #c5c5c5;
  }
}

.tree-arrow {
  cursor: pointer;
  user-select: none;
  padding-left: 5px;
  box-sizing: border-box;

  &.active {
    transform: rotate(90deg);
  } 
}
#tree-root ul {
  list-style-type: none;
  margin-left: -15px;
  display: none;

  &.active {
    display: block;
    box-sizing: border-box;
  }
}

#tree-root {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

#rename_container {
  padding : 30px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 16px;
}

#rename_buttons_container {
  display: flex;
  width: 100%;
  justify-content: flex-end;
  gap: 10px;
  margin-right: 20px;
}

#dashboard_input {
  width: 100%;
  padding: 12px 18px;
  margin: 8px 0;
  box-sizing: border-box;
  font-size: 16px;
  border: 2px solid #589ed5;
  border-radius: 5px;
  color: #589ed5
}

#cancel_dashboard {
  color: #589ed5;
  border: none;
  border-radius: 8px;
  padding: 5px;
  font-size: 14px;
  cursor: pointer;
}

#confirm_dashboard {
  background-color: #589ed5;
  color: white;
  border: none;
  border-radius: 8px;
  padding: 5px;
  font-size: 14px;
  cursor: pointer;
}
